import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';

import 'fileTransfer.m.dart';


class FileTransferService extends JsonRpcClientBase {
	FileTransferService(
		String host, {
		String serviceName = "IFileTransferService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				);

	Future<bool> getAdminPagesAsync(GetAdminPagesRequest request) async {
		var rpcRst = await call("GetAdminPagesAsync", request);
		return rpcRst;
	}

}

